from spr import *
from act import *
import os
import sys
from stat import *

from wxPython.wx import *
from spracttosprite import Sprite2Act

name = 'Export frames info to an ACT file'
type = 'exporter'
doc = ''

_repeat = ''

def saveSprite(parent, sprite, repeat=0):
    global _repeat

    if not repeat or not _repeat:
        dlg = wxFileDialog(parent, 'Save to an act file', os.getcwd(),
                           '', 'Act File (*.act)|*.act',
                           wxSAVE | wxOVERWRITE_PROMPT)
        if dlg.ShowModal() == wxID_OK:
            _repeat = dlg.GetPath()
        else:
            return

    dlg.Destroy()

    if not hasattr(sprite, 'timescale'):
        sprite.timescale = [1.0]*len(sprite.animations)
    act = Sprite2Act(sprite)
    act.save(_repeat)
    
